Get a draft year's prospects (v1)
Returns draft prospects for a year with name, position, college or team and linked player. kind=top returns top prospects only. No draft returns data: null.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
id*integer
Tournament id (uniqueTournament.id), such as 17 for the Premier League. Find one with Search Sports.
Range
1 <= value <= 10000000000year*integer
Year, such as 2025.
Range
1900 <= value <= 2100kind?string
all or top prospects.
Default
"all"Value in
- "all"
- "top"
curl -X GET "https://example.com/v1/sofascore/tournament/draft/prospects?id=132&year=2025" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "property1": null, "property2": null }, "details": { "reason": "string", "message": "string" }}